3 Replies Latest reply: Feb 3, 2013 3:07 AM by lllaass
Dr Nadia Level 1 Level 1 (0 points)

I have the current iTunes, which has updated with out issue for new iPod touch and iPod Classic.  iTunes states the my 2G iPod Touch is up to date.  I would like to update so that I can use apps on this iPod.  Any suggestions?


iPod touch, iOS 1.x